Skip to main content
`Ctrl`+`K`

# DMDACreateAggregates

Gets the aggregates that map between grids associated with two `DMDA`

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDACreateAggregates(DM dac, DM daf, Mat *rest)

Collective

## Input Parameters

- dac - the coarse grid `DMDA`

- daf - the fine grid `DMDA`

## Output Parameter

- rest - the restriction matrix (transpose of the projection matrix)

## Note

This routine is not used by PETSc. It is not clear what its use case is and it may be removed in a future release. Users should contact petsc-maint@mcs.anl.gov if they plan to use it.

## See Also

DMDA - Creating vectors for structured grids, `DMRefine()`, `DMCreateInjection()`, `DMCreateInterpolation()`

## Level

intermediate

## Location

src/dm/impls/da/dainterp.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages